View Issue Details

IDProjectCategoryView StatusLast Update
0003380SymmetricDSBugpublic2018-02-14 15:08
ReporterkstojanovskaAssigned Tokstojanovska 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.9.3 
Target Version3.9.3Fixed in Version3.9.3 
Summary0003380: If sym_trigger_hist is missing symmetricds will attempt to recreate the row, but rebuild of triggers fails
DescriptionIf sym_trigger_hist is missing symmetricds will attempt to recreate the row, rebuild of triggers fails due to missing trigger name in sym_trigger_hist_row.
Steps To Reproduce1. Configure ->Parameters. Set auto.sync.triggers.at.startup to false
2. Go to SqlExplorer, run the following:
delete from sym_trigger_hist where source_table_name='sym_parameter';
update sym_parameter set last_update_time=current_timestamp;
3. Stop and restart SymmetricDS
4. Go to Manage -> Installed Triggers
5. Rebuild Triggers.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.9 644b065a

2018-01-18 15:36:22

klementinastojanovska

Details Diff
0003380: If sym_trigger_hist is missing symmetricds will attempt to
recreate the row, but rebuild of triggers fails

0003380
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/ITriggerRouterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TriggerRouterService.java Diff File

Issue History

Date Modified Username Field Change
2018-01-18 15:17 kstojanovska New Issue
2018-01-18 15:17 kstojanovska Status new => assigned
2018-01-18 15:17 kstojanovska Assigned To => kstojanovska
2018-01-18 15:36 kstojanovska Status assigned => resolved
2018-01-18 15:36 kstojanovska Resolution open => fixed
2018-01-18 15:36 kstojanovska Fixed in Version => 3.9.3
2018-01-22 08:38 chenson Status resolved => closed
2018-02-14 15:08 Changeset attached => SymmetricDS 3.9 644b065a